function [neint,dneint_dx] = eval_neint(x,g,v,model)
% function [neint,dneint_dx] = eval_neint(x,g,v,model)
% volume integrated number of particles
%#codegen

if nargout>1
    der = true; % compute derivative
else
    der = false;
end

[ne,dne_dx] = eval_ne(x,g,v,model,true);
geop = geometry_profiles(g,0*g,model);
neint = int_Vtot(ne,geop,model); % total plasma thermal energy

if der
    dneint_dx = int_Vtot(dne_dx);
end

return
